package intrinsic.mx.core;

public class CrossDomainRSLItem extends intrinsic.mx.core.RSLItem {

	/** Accessors */

	/** Variables */
	public int total;
	public intrinsic.flash.net.URLRequest urlRequest;
	public int loaded;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public CrossDomainRSLItem() {
}

public CrossDomainRSLItem(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
}


/** Static Methods */

/** Methods */
public native boolean hasFailover();
public native void load(intrinsic.Function arg0, intrinsic.Function arg1, intrinsic.Function arg2, intrinsic.Function arg3, intrinsic.Function arg4);
public native void itemErrorHandler(intrinsic.flash.events.ErrorEvent arg0);
public native void loadFailover();
public native void itemCompleteHandler(intrinsic.flash.events.Event arg0);

}
